 clear all
 close all 

   
  figure 
  
[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(411)
 c_idct       = idct(c, 24);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s tichom na pozadí')
 

[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(412)
  c_idct       = idct(c, 24);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);   
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s bielym šum na pozadí')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(413) 
  c_idct       = idct(c, 24);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
 xlabel('Rámce')
 ylabel('Kanály')
 axis xy
  title('Reč s hudbou na pozadí')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(414)
  c_idct       = idct(c, 24);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
title('Reč so zvukmi z ulice na pozadí')

figure 
 

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(411)
 imagesc(all)
 axis xy
 xlabel('Rámce')
 ylabel('FEP. koef.')
 title('Reč s tichom na pozadí') 
 
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(412)
 imagesc(all)
xlabel('Rámce')
 ylabel('FEP. koef.')
 axis xy
 title('Reč s bielym šum na pozadí')
 
 

 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(413)
 imagesc(all)
 xlabel('Rámce')
 ylabel('FEP. koef.')
 axis xy
 title('Reč s hudbou na pozadí')
 
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(414)
 imagesc(all)
xlabel('Rámce')
 ylabel('FEP. koef.')
 axis xy
 title('Reč so zvukmi z ulice na pozadí')